Subject: Re: [PATCH v2 13/15] dir-iterator: option to iterate dirs in pre-order

From: Junio C Hamano <[email-masked]>
Date: Wed, 18 May 2022 11:09:10 -0700

<[email-masked]> writes:

> Could this be a fallback position where nftw() is not available? I am not
> how broadly nftw() is supported but it appears to do what you are looking
> for.

Yeah, nftw() sounds like a better approach than what we have been
doing for the past decade by writing our own iterator.